OpenVDB 5.1.0

Static Public Member Functions | List of all members
D1< BD_HJWENO5 > Struct Template Reference

`#include <FiniteDifference.h>`

## Static Public Member Functions
template<typename ValueType >
static ValueType | difference (const ValueType &xm3, const ValueType &xm2, const ValueType &xm1, const ValueType &xm0, const ValueType &xp1, const ValueType &xp2)
template<typename Accessor >
static Accessor::ValueType | inX (const Accessor &grid, const Coord &ijk)
template<typename Accessor >
static Accessor::ValueType | inY (const Accessor &grid, const Coord &ijk)
template<typename Accessor >
static Accessor::ValueType | inZ (const Accessor &grid, const Coord &ijk)
template<typename Stencil >
static Stencil::ValueType | inX (const Stencil &S)
template<typename Stencil >
static Stencil::ValueType | inY (const Stencil &S)
template<typename Stencil >
static Stencil::ValueType | inZ (const Stencil &S)

## Member Function Documentation

## ◆ difference()

static ValueType difference | ( | const ValueType & | xm3,
|  | const ValueType & | xm2,
|  | const ValueType & | xm1,
|  | const ValueType & | xm0,
|  | const ValueType & | xp1,
|  | const ValueType & | xp2
| ) |  |
| inline static

## ◆ inX() [1/2]

static Accessor::ValueType inX | ( | const Accessor & | grid,
|  | const Coord & | ijk
| ) |  |
| inline static

## ◆ inX() [2/2]

static Stencil::ValueType inX | ( | const Stencil & | S | ) |
| inline static

## ◆ inY() [1/2]

static Accessor::ValueType inY | ( | const Accessor & | grid,
|  | const Coord & | ijk
| ) |  |
| inline static

## ◆ inY() [2/2]

static Stencil::ValueType inY | ( | const Stencil & | S | ) |
| inline static

## ◆ inZ() [1/2]

static Accessor::ValueType inZ | ( | const Accessor & | grid,
|  | const Coord & | ijk
| ) |  |
| inline static

## ◆ inZ() [2/2]

static Stencil::ValueType inZ | ( | const Stencil & | S | ) |
| inline static

The documentation for this struct was generated from the following file:

- FiniteDifference.h